Page MenuHomePhabricator

Echo tells MABot that has two pending notifications from enwiki, but then nothing is displayed
Open, Needs TriagePublic

Description

From some time ago Echo tells my bot, MABot, that has two alerts from en.wikipedia, but clicking on the bell icon or going to the Special:Notifications page gives no results other than a vague "ten months ago". While I have tried several times to dismiss/mark as read them, the system keeps spawning them. I'd appreciate if someone could have a look at which suposed notifications is Echo refering to and if we could mark them as read. Image attached:

Going directly to enwiki, I have the same issue. Nothing is displayed but the bell keeps "ringing".

Thank you.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptMar 12 2019, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JTannerWMF moved this task from Inbox to Upcoming Work on the Growth-Team board.Mar 19 2019, 6:18 PM
JTannerWMF added subscribers: Catrope, JTannerWMF.

@Catrope will investigate

Catrope added a comment.EditedMar 20 2019, 10:09 PM

According to the database, MABot has 2 unread login-fail-new notifications on English Wikipedia from May 2018, and 1 unread "thank you for your first edit" notification on English Wikiquote from yesterday (March 19th). So I don't understand why the Special:Notifications UI isn't working for you, but the notifications it's talking about are there, at least according to the database.

If you visit en.wikipedia.org or en.wikiquote.org directly (using the MABot account), do you see those notifications there? [EDIT: I just see you said that you don't, that's weird.]

The cached notification counts for MABot are definitely messed up. I don't know how this happened, but I've recached the counts for this user, and now it claims there's only an unread notification on enwikiquote.

I'm not sure how this happened, but I suspect it might be something like login-fail-new being disabled on enwiki at some point?

I'll log in with MABot once I have some time and look if the issue has been resoved.

@Catrope Just logged in to MABot and the issue was fixed. Thank you very much. Best regards.

Catrope changed the task status from Duplicate to Resolved.Apr 2 2019, 5:56 PM

@Catrope Hello. This is happening to MABot again. I'm trying to mark all as read but system keeps telling me I have pending notifications. Thanks.

MarcoAurelio reopened this task as Open.EditedAug 20 2019, 5:46 PM

Reopening in light of T218104#5351546 so this can be looked again. Thanks.